Bug 104649 - CAN-2003-0692 xdm weak session cookie generation
CAN-2003-0692 xdm weak session cookie generation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 09:31 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-19 08:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-09-18 09:31:23 EDT
xdm uses a weak session cookie generation
algorithm that does not provide 128 bits of entropy, which
allows attackers to guess session cookies via brute force
methods and gain access to the user session.
Comment 1 Mark J. Cox (Product Security) 2003-10-23 09:18:04 EDT
Update currently being tested
Comment 2 Mark J. Cox (Product Security) 2003-12-19 08:25:23 EST
See latest XFree86 update, RHSA-2003:289

Note You need to log in before you can comment on or make changes to this bug.